<?php
    require('conexion.php');
    session_start();
    $id_usuario=$_SESSION['cveUsuario'];
    $id_nota = $_SESSION['cveNota'];
    $comensal = $_POST['comensal'];
    $cantidad = $_POST['cantidad'];
    $producto = $_POST['producto'];
    $precio = $_POST['precio'];
    $tiempo = $_POST['tiempo'];
    $comentario = $_POST['comentario'];
    $datos = "";
    $ntv_descuento = $_POST['ntv_descuento'];
    
    // OBTENER EL ID DEL PRODUCTO
    $query = query("SELECT id 'CLAVE' FROM productos WHERE pro_nombre = '$producto'");
    $resultado=mysqli_fetch_assoc($query);
    $id_producto = $resultado['CLAVE'];
    //echo $id_producto;
    // CREAR LA RELACION ENTRE EL PRODUCTO Y LA NOTA
    $producto_nta=query("call sp_ins_producto_nota($id_nota,'$id_producto','$cantidad','$comensal','$tiempo','$precio','activo','$comentario','$id_usuario')");
    
    // OBTENER LA SUMATORIA DE LOS PRECIOS, EL DESCUENTO.
    $subtotal=query("SELECT SUM(pdn_cantidad*pdn_precio) 'SUBTOTAL' FROM productos_nota WHERE id_nota_venta='$id_nota'");
    $resultado1=mysqli_fetch_assoc($subtotal);
    $subtotal = $resultado1['SUBTOTAL'];
    $descuento= ($ntv_descuento*$subtotal)/100;
    $total = $subtotal - $descuento;

    $datos = "<div class='d-flex align-items-center text-sm p-1' id='subtotal' data-value='".$subtotal."'>$".number_format($subtotal, 2, '.', ' ')."</div>
    <div class='d-flex align-items-center text-sm p-1' id='ntv_descuento_total' data-value='".$descuento."'>$".number_format($descuento, 2, '.', ' ')."</div>
    <div class='d-flex align-items-center text-sm p-1'  id='total_nota'data-value='".$total."'>$".number_format($total, 2, '.', ' ')."</div>";
    echo $datos;
    //SELECT SUM(pdn_precio) FROM productos_nota WHERE id_nota_venta=44;
    
?>